// __author__ = Juan Carlos De Abreu (jcabreur@gmail.com)

#include "Data.h"

BEGIN_TEG_NAMESPACE();

// IData constructor.
IData::IData(const int& type_) : type(type_) { }

// IData destructor.
IData::~IData() { }

// Method to print the value of a data.
void IData::print() { }	

// Method for the '.' operator.
SmartPointer<IData> IData::getAttribute(std::string attrName) {
  return NULL;
}

// Method for the '[]' operator.
SmartPointer<IData> IData::getElement(SmartPointer<IData> elem) {
  return NULL;
}

// Method the ".()" operator.
SmartPointer<IData> IData::getMethod(
     SmartPointer<IData> elem,
     std::map<std::string, SmartPointer<IData>>& variables) {
  return NULL;
}

END_TEG_NAMESPACE();
